Package uk.ac.starlink.vo

# Class ConeVerbosity

java.lang.Object
uk.ac.starlink.vo.ConeVerbosity

public class ConeVerbosity extends Object
Enumeration class which describes verbosity levels permitted by the Cone Search standard.

See Also:
  - Cone Search standard

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`String`
`getComment()`
Returns a one-word characterisation of this verbosity level.
`int`
`getLevel()`
Returns the integer verbosity level.
`static ConeVerbosity[]`
`getOptions()`
Returns legal verbosities for a cone search.
`int`
`hashCode()`
`String`
`toString()`
Stringified level, suitable for use in a combo box.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getComment

public String getComment()
Returns a one-word characterisation of this verbosity level.

Returns:
  verbosity in text

### getLevel

public int getLevel()
Returns the integer verbosity level.

Returns:
  verbosity as an integer

### toString

public String toString()
Stringified level, suitable for use in a combo box.

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getOptions

public static ConeVerbosity[] getOptions()
Returns legal verbosities for a cone search.

Returns:
  array of verbosities 1, 2, 3